libgspell-1-1-1.6.1-lp150.1.7.x86_64.rpm


Advertisement

Description

libgspell-1-1 - Spell checker library for gtk+

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename libgspell-1-1-1.6.1-lp150.1.7.x86_64.rpm
Package name libgspell-1-1
Package version 1.6.1
Package release lp150.1.7
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://wiki.gnome.org/Projects/gspell
License LGPL-2.1+
Maintainer -
Download size 57.67 KB
Installed size 140.98 KB
gspell provides a flexible API to implement the spell checking in a GTK+
application.
This package provides the shared libraries for gspell.

Alternatives

Package Version Architecture Repository
libgspell-1-1 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4)(64bit) -
libenchant.so.1()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgtk-3.so.0()(64bit) -
libpango-1.0.so.0()(64bit) -
libpthread.so.0()(64bit) -

Provides

Name Value
gspell = 1.6.1
libgspell-1-1 = 1.6.1-lp150.1.7
libgspell-1-1(x86-64) = 1.6.1-lp150.1.7
libgspell-1.so.1()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgspell-1-1-1.6.1-lp150.1.7.x86_64.rpm
Source Package gspell-1.6.1-lp150.1.7.src.rpm

Install Howto

Install libgspell-1-1 rpm package:

# zypper install libgspell-1-1

Files

Path
/usr/lib64/libgspell-1.so.1
/usr/lib64/libgspell-1.so.1.3.0

Changelog

2017-10-31 - luc14n0@linuxmail.org
- Update to version 1.6.1:
+ Updated translations.
- Drop pkgconfig BuildRequires: devel packages implicit dependency.
2017-09-10 - dimstar@opensuse.org
- Update to version 1.6.0:
+ Updated translations.
2017-08-20 - zaitor@opensuse.org
- Update to version 1.5.4:
+ Make the code that navigates through PangoLogAttr's more
robust, for both GspellEntry and GspellTextView.
+ Updated translations.
2017-08-19 - zaitor@opensuse.org
- Update to version 1.5.3:
+ Add gspell_checker_get_enchant_dict(), the use of Enchant is
now part of the API.
+ Rename program gspell-app to gspell-app1.
+ Various other small improvements.
+ Updated translations.
2017-08-19 - zaitor@opensuse.org
- Update to version 1.5.2:
+ Implement small gspell-app, a convenient way to quickly
spell-check something.
+ Document the support of the no-spell-check GtkTextTag.
+ Various other small improvements.
+ Updated translations.
2017-08-19 - zaitor@opensuse.org
- Update to version 1.5.1:
+ Change underline type to PANGO_UNDERLINE_SINGLE, to remove the
workaround for the GtkTextView bug where wavy underlines are
not properly removed (bgo#763741).
+ Up to 20x faster implementation for the GtkTextView inline
spell-checker, to fix a responsiveness problem when editing
long lines.
+ Rework symbol visibility handling, by using the -export-dynamic
LDFLAG and -fvisibility=hidden CFLAG, instead of the
- export-symbols-regex LDFLAG.
+ Add note for packagers in the README file: aspell doesn't work
well with gspell, hunspell is preferred.
+ Various other small improvements.
+ Updated translations.
2017-08-19 - zaitor@opensuse.org
- Update to version 1.4.2:
+ GspellEntry: make the code that navigates through
PangoLogAttr's more robust.
+ Updated translations.
2017-05-20 - zaitor@opensuse.org
- Update to version 1.4.1:
+ GspellEntry: do not emit the GtkEditable::changed signal.
+ Replace some g_asserts by g_returns to avoid crashes
(bgo#778883).
+ Updated translations.
2017-03-19 - zaitor@opensuse.org
- Update to version 1.4.0:
+ Other small improvements.
+ Updated translations.
2017-02-26 - dimstar@opensuse.org
- Update to version 1.3.3:
+ Add more assertions for bgo#778883.
+ Fix minor issues found by Coverity.
+ Updated translations.

See Also

Package Description
libgssdp-1_0-3-1.0.2-lp150.1.10.x86_64.rpm Library for resource discovery and announcement over SSDP
libgssdp-1_0-3-32bit-1.0.2-lp150.1.10.x86_64.rpm Library for resource discovery and announcement over SSDP
libgssdp-devel-1.0.2-lp150.1.10.x86_64.rpm Library for resource discovery and announcement over SSDP - Development Files
libgssglue-devel-0.4-lp150.1.7.x86_64.rpm Generic GSSAPI Library
libgssglue1-0.4-lp150.1.7.x86_64.rpm Generic GSSAPI Library
libgssglue1-32bit-0.4-lp150.1.7.x86_64.rpm Generic GSSAPI Library
libgstadaptivedemux-1_0-0-1.12.5-lp150.1.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstadaptivedemux-1_0-0-32bit-1.12.5-lp150.1.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstallocators-1_0-0-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstallocators-1_0-0-32bit-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstapp-1_0-0-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstapp-1_0-0-32bit-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstaudio-1_0-0-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstaudio-1_0-0-32bit-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstbadallocators-1_0-0-1.12.5-lp150.1.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
Advertisement
Advertisement